> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# OpenAI 확장 매개변수 예시

> OpenAI 공급자별 패스스루 예시.

## 이것을 언제 사용하는가

* 통합 요청 모델로는 충분하지 않습니다
* OpenAI 관련 제어를 위해서는 제어된 패스스루가 필요합니다.

## Example

```json theme={null}
{
  "model": "gpt-5",
  "messages": [
    { "role": "user", "content": "Summarize this report." }
  ],
  "model_extra": {
    "reasoning": { "effort": "medium" },
    "metadata": { "trace_id": "report-123" }
  }
}
```

## cURL 예

```bash theme={null}
curl https://maas.apigo.ai/v1/chat/completions \
  -H "Authorization: Bearer $YOUR API KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "gpt-5",
    "messages": [
      { "role": "user", "content": "Summarize this report." }
    ],
    "model_extra": {
      "reasoning": { "effort": "medium" },
      "metadata": { "trace_id": "report-123" }
    }
  }'
```

## 파이썬 예제

```python theme={null}
import requests

response = requests.post(
    "https://maas.apigo.ai/v1/chat/completions",
    headers={
        "Authorization": "Bearer <YOUR API KEY>",
        "Content-Type": "application/json",
    },
    json={
        "model": "gpt-5",
        "messages": [
            {"role": "user", "content": "Summarize this report."}
        ],
        "model_extra": {
            "reasoning": {"effort": "medium"},
            "metadata": {"trace_id": "report-123"},
        },
    },
)

print(response.json())
```

## Node.js 예

```js theme={null}
const response = await fetch("https://maas.apigo.ai/v1/chat/completions", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.YOUR API KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    model: "gpt-5",
    messages: [
      { role: "user", content: "Summarize this report." }
    ],
    model_extra: {
      reasoning: { effort: "medium" },
      metadata: { trace_id: "report-123" }
    }
  }),
});

console.log(await response.json());
```

## 모범 사례

* 허용된 확장 프로그램 필드만 전달되어야 합니다.
* 패스스루 매개변수와 함께 모델 버전을 기록합니다.
